singularity-checkm 1.2.0

GitHub repository for the Singularity definition file

CheckM provides a set of tools for assessing the quality of genomes recovered from isolates, single cells, or metagenomes.

Added new version to existing repository.

P.S. Seems like this container is broken at the moment since there exists a config file that package wants to write to

➜  ./checkm data setRoot

It seems that the CheckM data folder has not been set yet or has been removed. Please run 'checkm data setRoot'.
Traceback (most recent call last):
  File "/usr/local/lib/python3.10/site-packages/checkm/checkmData.py", line 95, in checkPermissions
    open(self.configFile, 'a')
OSError: [Errno 30] Read-only file system: '/usr/local/lib/python3.10/site-packages/checkm/DATA_CONFIG'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/bin/checkm", line 38, in <module>
    from checkm import main
  File "/usr/local/lib/python3.10/site-packages/checkm/main.py", line 22, in <module>
    from checkm.defaultValues import DefaultValues
  File "/usr/local/lib/python3.10/site-packages/checkm/defaultValues.py", line 26, in <module>
    class DefaultValues():
  File "/usr/local/lib/python3.10/site-packages/checkm/defaultValues.py", line 29, in DefaultValues
    __DBM = DBManager()
  File "/usr/local/lib/python3.10/site-packages/checkm/checkmData.py", line 145, in __init__
    if not self.setRoot():
  File "/usr/local/lib/python3.10/site-packages/checkm/checkmData.py", line 168, in setRoot
    if not self.config.checkPermissions():
  File "/usr/local/lib/python3.10/site-packages/checkm/checkmData.py", line 96, in checkPermissions
    except (IOError, e):
NameError: name 'e' is not defined